/*******************************************************************************
* Copyright (C) 2016-2020 Advanced Micro Devices, Inc. All rights reserved.
*
* Permission is hereby granted, free of charge, to any person obtaining a copy
* of this software and associated documentation files (the "Software"), to deal
* in the Software without restriction, including without limitation the rights
* to use, copy, modify, merge, publish, distribute, sublicense, and/or sell cop-
* ies of the Software, and to permit persons to whom the Software is furnished
* to do so, subject to the following conditions:
*
* The above copyright notice and this permission notice shall be included in all
* copies or substantial portions of the Software.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IM-
* PLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
* FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
* COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
* IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNE-
* CTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*******************************************************************************/

/**************************************************
* This file was generated by Tensile:             *
* https://github.com/ROCmSoftwarePlatform/Tensile *
**************************************************/


#pragma once
#include <hip/hip_runtime.h>
#include <hip/hip_ext.h>

#include "KernelHeader.h"

extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_GB_MT128x64x12_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA3_NLCB3_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  float* const * BatchA,
  float* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BSS_BH_GB_MT32x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BSS_BH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BSS_BH_GB_MT32x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BSS_BH_GB_MT16x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT32x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT16x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT32x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT64x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT16x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT32x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT32x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_GB_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_GB_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_GB_MT16x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU60_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM2(
  float* *BatchD,
  float* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float* *BatchD,
  float* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU15_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT16x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT32x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT64x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT32x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT32x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT64x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT16x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT16x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT64x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT96x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA3_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT6_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT64x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT16x16x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT32x32x2_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_MT16x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_MT32x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_MT64x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_MT16x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_MT32x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_BjlkC_CB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat *D,
  TensileComplexFloat const * C,
  TensileComplexFloat const * A,
  TensileComplexFloat const * B,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_BjlkC_CB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat *D,
  TensileComplexFloat const * C,
  TensileComplexFloat const * A,
  TensileComplexFloat const * B,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT128x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT128x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BSS_BH_MT32x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BSS_BH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BSS_BH_MT32x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BSS_BH_MT16x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT32x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT16x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_16_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT256x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT32x256x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_16_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_DB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  double *D,
  double const * C,
  double const * A,
  double const * B,
  double const alpha,
  double const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT32x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU60_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM2(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU15_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_GB_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_GB_MT16x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_GB_MT32x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_GB_MT64x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_GB_MT16x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_GB_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_GB_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_GB_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_GB_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_GB_MT32x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_GB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BBH_GB_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_BjlkC_CB_GB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat* *BatchD,
  TensileComplexFloat* const * BatchC,
  TensileComplexFloat* const * BatchA,
  TensileComplexFloat* const * BatchB,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_BjlkC_CB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat* *BatchD,
  TensileComplexFloat* const * BatchC,
  TensileComplexFloat* const * BatchA,
  TensileComplexFloat* const * BatchB,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_MT128x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG32_4_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_MT32x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_4_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_MT16x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_16_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM4(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_MT128x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM4(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_MT16x16x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_MT32x32x2_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_Bjlk_ZB_GB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble* *BatchD,
  TensileComplexDouble* const * BatchC,
  TensileComplexDouble* const * BatchA,
  TensileComplexDouble* const * BatchB,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_Bjlk_ZB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble* *BatchD,
  TensileComplexDouble* const * BatchC,
  TensileComplexDouble* const * BatchA,
  TensileComplexDouble* const * BatchB,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_GB_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_GB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_GB_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_GB_MT32x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_GB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_GB_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_GB_MT32x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_GB_MT16x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_GB_MT32x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_GB_MT64x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_GB_MT16x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_GB_MT32x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_GB_MT16x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_GB_MT32x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_GB_MT64x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_GB_MT16x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HB_GB_MT128x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HB_GB_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HB_GB_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HB_GB_MT64x128x32_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_GB_MT32x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_GB_MT32x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_GB_MT64x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_GB_MT16x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_CB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat *D,
  TensileComplexFloat const * C,
  TensileComplexFloat const * A,
  TensileComplexFloat const * B,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_CB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat *D,
  TensileComplexFloat const * C,
  TensileComplexFloat const * A,
  TensileComplexFloat const * B,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_4xi8BH_MT16x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_4xi8BH_MT16x16x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_4xi8BH_MT32x32x2_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_Bjlk_ZB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble *D,
  TensileComplexDouble const * C,
  TensileComplexDouble const * A,
  TensileComplexDouble const * B,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_Bjlk_ZB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble *D,
  TensileComplexDouble const * C,
  TensileComplexDouble const * A,
  TensileComplexDouble const * B,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_GB_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_GB_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_GB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_GB_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_GB_MT32x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_GB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_BjlkC_CB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat *D,
  TensileComplexFloat const * C,
  TensileComplexFloat const * A,
  TensileComplexFloat const * B,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_BjlkC_CB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat *D,
  TensileComplexFloat const * C,
  TensileComplexFloat const * A,
  TensileComplexFloat const * B,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_BjlkC_ZB_GB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble* *BatchD,
  TensileComplexDouble* const * BatchC,
  TensileComplexDouble* const * BatchA,
  TensileComplexDouble* const * BatchB,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_BjlkC_ZB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble* *BatchD,
  TensileComplexDouble* const * BatchC,
  TensileComplexDouble* const * BatchA,
  TensileComplexDouble* const * BatchB,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT32x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT128x64x12_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA3_NLCB3_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_BjlkC_CB_GB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat* *BatchD,
  TensileComplexFloat* const * BatchC,
  TensileComplexFloat* const * BatchA,
  TensileComplexFloat* const * BatchB,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_BjlkC_CB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat* *BatchD,
  TensileComplexFloat* const * BatchC,
  TensileComplexFloat* const * BatchA,
  TensileComplexFloat* const * BatchB,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_GB_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_GB_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_GB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_GB_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_GB_MT32x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_GB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_GB_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT128x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HB_GB_MT64x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HB_GB_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HB_GB_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT16x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT16x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_4_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT32x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_4_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT128x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT32x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_4_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT16x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT16x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_4_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT16x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM4(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT16x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_4_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM4(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM4(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT32x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_4_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM4(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT128x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM4(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT32x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM4(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_4_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM4(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT16x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_16_1_WGM4(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT128x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT128x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM4(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT16x16x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT32x32x2_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_GB_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_GB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_GB_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_GB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_GB_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_CB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat *D,
  TensileComplexFloat const * C,
  TensileComplexFloat const * A,
  TensileComplexFloat const * B,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_CB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat *D,
  TensileComplexFloat const * C,
  TensileComplexFloat const * A,
  TensileComplexFloat const * B,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT128x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT128x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT128x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_BjlkC_ZB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble *D,
  TensileComplexDouble const * C,
  TensileComplexDouble const * A,
  TensileComplexDouble const * B,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_BjlkC_ZB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble *D,
  TensileComplexDouble const * C,
  TensileComplexDouble const * A,
  TensileComplexDouble const * B,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_DB_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  double *D,
  double const * C,
  double const * A,
  double const * B,
  double const alpha,
  double const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_DB_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  double *D,
  double const * C,
  double const * A,
  double const * B,
  double const alpha,
  double const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_BjlkC_ZB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble *D,
  TensileComplexDouble const * C,
  TensileComplexDouble const * A,
  TensileComplexDouble const * B,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_BjlkC_ZB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble *D,
  TensileComplexDouble const * C,
  TensileComplexDouble const * A,
  TensileComplexDouble const * B,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_GB_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_GB_MT256x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_GB_MT64x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_GB_MT128x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_GB_MT256x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_GB_MT16x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB2_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_16_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU60_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float* *BatchD,
  float* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU15_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_DB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  double* *BatchD,
  double* const * BatchC,
  double* const * BatchA,
  double* const * BatchB,
  double const alpha,
  double const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_Bjlk_CB_GB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat* *BatchD,
  TensileComplexFloat* const * BatchC,
  TensileComplexFloat* const * BatchA,
  TensileComplexFloat* const * BatchB,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_Bjlk_CB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat* *BatchD,
  TensileComplexFloat* const * BatchC,
  TensileComplexFloat* const * BatchA,
  TensileComplexFloat* const * BatchB,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_GB_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_GB_MT32x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_GB_MT16x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_GB_MT32x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_GB_MT64x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_GB_MT32x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_GB_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_GB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU60_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU15_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_MT32x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_MT16x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_MT32x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_MT64x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_MT16x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_MT32x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_MT16x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_MT32x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_MT64x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_BBH_MT16x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT32x8x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_4_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT16x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT32x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT32x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT16x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT32x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT64x8x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG32_4_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT32x8x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_4_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT16x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT32x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT32x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT32x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT64x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT64x8x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG32_4_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT32x8x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_4_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT32x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT64x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT64x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT96x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT6_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT128x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT64x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT128x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT64x64x32_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT64x64x32_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT16x16x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT32x32x2_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_Bjlk_CB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat *D,
  TensileComplexFloat const * C,
  TensileComplexFloat const * A,
  TensileComplexFloat const * B,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_Bjlk_CB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat *D,
  TensileComplexFloat const * C,
  TensileComplexFloat const * A,
  TensileComplexFloat const * B,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_BjlkC_ZB_GB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble* *BatchD,
  TensileComplexDouble* const * BatchC,
  TensileComplexDouble* const * BatchA,
  TensileComplexDouble* const * BatchB,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_BjlkC_ZB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble* *BatchD,
  TensileComplexDouble* const * BatchC,
  TensileComplexDouble* const * BatchA,
  TensileComplexDouble* const * BatchB,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT128x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT128x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_MT64x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_DB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  double* *BatchD,
  double* const * BatchC,
  double* const * BatchA,
  double* const * BatchB,
  double const alpha,
  double const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT32x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT32x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT64x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT64x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT16x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT32x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT128x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT64x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT16x16x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT32x32x2_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_MT16x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_MT32x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_MT16x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_MT32x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_MT96x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA3_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT6_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_MT16x16x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_MT32x32x2_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HB_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HB_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HB_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_ZB_GB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble* *BatchD,
  TensileComplexDouble* const * BatchC,
  TensileComplexDouble* const * BatchA,
  TensileComplexDouble* const * BatchB,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_ZB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble* *BatchD,
  TensileComplexDouble* const * BatchC,
  TensileComplexDouble* const * BatchA,
  TensileComplexDouble* const * BatchB,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_GB_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_GB_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_GB_MT16x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_16_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_GB_MT256x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_GB_MT32x256x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_16_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_GB_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_GB_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_GB_MT256x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_GB_MT32x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_GB_MT128x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA2_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_GB_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_GB_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_GB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_GB_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_GB_MT32x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_GB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_GB_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU60_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM2(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HBH_GB_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU15_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM4(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_CB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat *D,
  TensileComplexFloat const * C,
  TensileComplexFloat const * A,
  TensileComplexFloat const * B,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_CB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat *D,
  TensileComplexFloat const * C,
  TensileComplexFloat const * A,
  TensileComplexFloat const * B,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_Bljk_ZB_GB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble* *BatchD,
  TensileComplexDouble* const * BatchC,
  TensileComplexDouble* const * BatchA,
  TensileComplexDouble* const * BatchB,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_Bljk_ZB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble* *BatchD,
  TensileComplexDouble* const * BatchC,
  TensileComplexDouble* const * BatchA,
  TensileComplexDouble* const * BatchB,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_ZB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble *D,
  TensileComplexDouble const * C,
  TensileComplexDouble const * A,
  TensileComplexDouble const * B,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_ZB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble *D,
  TensileComplexDouble const * C,
  TensileComplexDouble const * A,
  TensileComplexDouble const * B,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HB_MT64x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HB_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HB_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_Bljk_CB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat *D,
  TensileComplexFloat const * C,
  TensileComplexFloat const * A,
  TensileComplexFloat const * B,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_Bljk_CB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat *D,
  TensileComplexFloat const * C,
  TensileComplexFloat const * A,
  TensileComplexFloat const * B,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_BjlkC_CB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat *D,
  TensileComplexFloat const * C,
  TensileComplexFloat const * A,
  TensileComplexFloat const * B,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_BjlkC_CB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat *D,
  TensileComplexFloat const * C,
  TensileComplexFloat const * A,
  TensileComplexFloat const * B,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT128x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT128x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_MT256x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_MT64x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_MT128x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_MT256x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_MT16x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB2_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_16_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU60_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BSS_BH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU15_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_4xi8BH_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_4xi8BH_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_4xi8BH_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_4xi8BH_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_4xi8BH_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_DB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  double *D,
  double const * C,
  double const * A,
  double const * B,
  double const alpha,
  double const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_Bljk_CB_GB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat* *BatchD,
  TensileComplexFloat* const * BatchC,
  TensileComplexFloat* const * BatchA,
  TensileComplexFloat* const * BatchB,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_Bljk_CB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat* *BatchD,
  TensileComplexFloat* const * BatchC,
  TensileComplexFloat* const * BatchA,
  TensileComplexFloat* const * BatchB,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BSS_BH_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BSS_BH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BSS_BH_MT32x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BSS_BH_MT256x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BSS_BH_MT128x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BSS_BH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BSS_BH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BSS_BH_MT128x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA2_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_ZB_GB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble* *BatchD,
  TensileComplexDouble* const * BatchC,
  TensileComplexDouble* const * BatchA,
  TensileComplexDouble* const * BatchB,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_ZB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble* *BatchD,
  TensileComplexDouble* const * BatchC,
  TensileComplexDouble* const * BatchA,
  TensileComplexDouble* const * BatchB,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_MT16x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_MT32x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_MT32x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_MT32x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_MT16x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_MT32x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_MT16x16x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_4xi8BH_MT32x32x2_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_DB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  double* *BatchD,
  double* const * BatchC,
  double* const * BatchA,
  double* const * BatchB,
  double const alpha,
  double const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_GB_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_GB_MT32x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_GB_MT16x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_GB_MT32x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_GB_MT64x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_GB_MT16x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_GB_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_GB_MT32x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_GB_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_GB_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_GB_MT32x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_GB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_GB_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16* *BatchD,
  tensile_bfloat16* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_GB_MT32x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_GB_MT64x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_GB_MT16x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_GB_MT32x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_GB_MT64x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_GB_MT16x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT128x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT256x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT128x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT32x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT64x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BBH_MT64x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT128x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT128x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT128x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT128x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT128x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT128x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT128x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT128x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT128x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_ZB_GB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble* *BatchD,
  TensileComplexDouble* const * BatchC,
  TensileComplexDouble* const * BatchA,
  TensileComplexDouble* const * BatchB,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_ZB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble* *BatchD,
  TensileComplexDouble* const * BatchC,
  TensileComplexDouble* const * BatchA,
  TensileComplexDouble* const * BatchB,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_4xi8BH_GB_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_4xi8BH_GB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_4xi8BH_GB_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_4xi8BH_GB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_4xi8BH_GB_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_DB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  double *D,
  double const * C,
  double const * A,
  double const * B,
  double const alpha,
  double const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BSS_BH_GB_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BSS_BH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BSS_BH_GB_MT32x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BSS_BH_GB_MT256x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BSS_BH_GB_MT128x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BSS_BH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BSS_BH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_BSS_BH_GB_MT128x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA2_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT128x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT128x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT128x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT128x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT128x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT128x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT128x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT128x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT128x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT128x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT128x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT128x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_Bljk_ZB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble *D,
  TensileComplexDouble const * C,
  TensileComplexDouble const * A,
  TensileComplexDouble const * B,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_Bljk_ZB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble *D,
  TensileComplexDouble const * C,
  TensileComplexDouble const * A,
  TensileComplexDouble const * B,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_GB_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM4(
  float* *BatchD,
  float* const * BatchC,
  float* const * BatchA,
  float* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_CB_GB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat* *BatchD,
  TensileComplexFloat* const * BatchC,
  TensileComplexFloat* const * BatchA,
  TensileComplexFloat* const * BatchB,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_CB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat* *BatchD,
  TensileComplexFloat* const * BatchC,
  TensileComplexFloat* const * BatchA,
  TensileComplexFloat* const * BatchB,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT16x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU60_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM2(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU15_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS128_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_DB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  double *D,
  double const * C,
  double const * A,
  double const * B,
  double const alpha,
  double const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT128x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT128x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HBH_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_MT32x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT128x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT128x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT128x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT128x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_DB_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  double *D,
  double const * C,
  double const * A,
  double const * B,
  double const alpha,
  double const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_DB_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  double *D,
  double const * C,
  double const * A,
  double const * B,
  double const alpha,
  double const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_DB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  double* *BatchD,
  double* const * BatchC,
  double* const * BatchA,
  double* const * BatchB,
  double const alpha,
  double const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT32x8x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_4_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT16x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT16x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT32x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT32x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT64x8x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG32_4_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT32x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT32x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT64x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT64x8x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG32_4_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT32x8x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_4_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT16x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT16x16x24_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT64x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT128x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_MT128x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT64x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT32x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT16x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT32x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT128x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT128x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_BjlkC_CB_GB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat* *BatchD,
  TensileComplexFloat* const * BatchC,
  TensileComplexFloat* const * BatchA,
  TensileComplexFloat* const * BatchB,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_BjlkC_CB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat* *BatchD,
  TensileComplexFloat* const * BatchC,
  TensileComplexFloat* const * BatchA,
  TensileComplexFloat* const * BatchB,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_SB_MT16x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_4_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_16_1_WGM4(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT128x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT128x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT256x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT256x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_SB_MT32x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_ZB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble *D,
  TensileComplexDouble const * C,
  TensileComplexDouble const * A,
  TensileComplexDouble const * B,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_ZB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble *D,
  TensileComplexDouble const * C,
  TensileComplexDouble const * A,
  TensileComplexDouble const * B,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_CB_GB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat* *BatchD,
  TensileComplexFloat* const * BatchC,
  TensileComplexFloat* const * BatchA,
  TensileComplexFloat* const * BatchB,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_CB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat* *BatchD,
  TensileComplexFloat* const * BatchC,
  TensileComplexFloat* const * BatchA,
  TensileComplexFloat* const * BatchB,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BSS_BH_GB_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BSS_BH_GB_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BSS_BH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BSS_BH_GB_MT128x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BSS_BH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BSS_BH_GB_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BSS_BH_GB_MT16x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_16_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16* const * BatchA,
  tensile_bfloat16* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HB_GB_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HB_GB_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HB_GB_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT128x64x32_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT64x8x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG32_4_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT128x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT128x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT16x16x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT64x64x32_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT32x8x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_4_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT96x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA3_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT6_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT64x128x32_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT128x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT64x64x32_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT128x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT32x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT32x16x24_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB3_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT64x64x32_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT32x8x32_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_4_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT64x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG16_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT32x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW4_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW4_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW4_WSGRA0_WSGRB0_WG8_8_1_WGM1(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_ZB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble *D,
  TensileComplexDouble const * C,
  TensileComplexDouble const * A,
  TensileComplexDouble const * B,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_ZB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble *D,
  TensileComplexDouble const * C,
  TensileComplexDouble const * A,
  TensileComplexDouble const * B,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_MT32x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_4xi8BH_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t *D,
  int32_t const * C,
  uint32_t const * A,
  uint32_t const * B,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_MT32x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_MT16x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_MT32x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_MT64x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_MT32x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU60_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  tensile_bfloat16 *D,
  tensile_bfloat16 const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_BBH_MT64x1x64_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU15_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU0_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT1_1_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG64_1_1_WGM1(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_CB_GB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat* *BatchD,
  TensileComplexFloat* const * BatchC,
  TensileComplexFloat* const * BatchA,
  TensileComplexFloat* const * BatchB,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_CB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat* *BatchD,
  TensileComplexFloat* const * BatchC,
  TensileComplexFloat* const * BatchA,
  TensileComplexFloat* const * BatchB,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT32x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT32x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT16x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HB_MT128x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HB_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HB_MT64x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_HB_MT64x128x32_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HB_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HB_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HB_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_CB_GB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat* *BatchD,
  TensileComplexFloat* const * BatchC,
  TensileComplexFloat* const * BatchA,
  TensileComplexFloat* const * BatchB,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_CB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat* *BatchD,
  TensileComplexFloat* const * BatchC,
  TensileComplexFloat* const * BatchA,
  TensileComplexFloat* const * BatchB,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_DB_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  double *D,
  double const * C,
  double const * A,
  double const * B,
  double const alpha,
  double const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_DB_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  double *D,
  double const * C,
  double const * A,
  double const * B,
  double const alpha,
  double const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HB_GB_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HB_GB_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HB_GB_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half* *BatchD,
  tensile_half* const * BatchC,
  tensile_half* const * BatchA,
  tensile_half* const * BatchB,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BSS_BH_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BSS_BH_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BSS_BH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BSS_BH_MT128x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BSS_BH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BSS_BH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_BSS_BH_MT16x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_16_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_bfloat16 const * A,
  tensile_bfloat16 const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_BjlkC_ZB_GB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble* *BatchD,
  TensileComplexDouble* const * BatchC,
  TensileComplexDouble* const * BatchA,
  TensileComplexDouble* const * BatchB,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_AlikC_BjlkC_ZB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble* *BatchD,
  TensileComplexDouble* const * BatchC,
  TensileComplexDouble* const * BatchA,
  TensileComplexDouble* const * BatchB,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_DB_MT64x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  double *D,
  double const * C,
  double const * A,
  double const * B,
  double const alpha,
  double const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_DB_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT4_4_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  double *D,
  double const * C,
  double const * A,
  double const * B,
  double const alpha,
  double const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_GB_MT64x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_GB_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_GB_MT128x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_GB_MT32x128x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_GB_MT64x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_4xi8BH_GB_MT16x64x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  int32_t* *BatchD,
  int32_t* const * BatchC,
  uint32_t* const * BatchA,
  uint32_t* const * BatchB,
  int32_t const alpha,
  int32_t const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_BjlkC_ZB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble *D,
  TensileComplexDouble const * C,
  TensileComplexDouble const * A,
  TensileComplexDouble const * B,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_BjlkC_ZB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble *D,
  TensileComplexDouble const * C,
  TensileComplexDouble const * A,
  TensileComplexDouble const * B,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_CB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat *D,
  TensileComplexFloat const * C,
  TensileComplexFloat const * A,
  TensileComplexFloat const * B,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_CB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW2_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexFloat *D,
  TensileComplexFloat const * C,
  TensileComplexFloat const * A,
  TensileComplexFloat const * B,
  TensileComplexFloat const alpha,
  TensileComplexFloat const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT128x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT128x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT128x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT128x128x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT128x128x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT128x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT128x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU2_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x4_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU5_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HSS_BH_MT64x64x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU7_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_GB_MT128x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  float* const * BatchA,
  float* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_SB_MT128x64x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_4_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  float const * A,
  float const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT32x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT16x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT32x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT64x32x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_HBH_MT16x16x16_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_2_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_ZB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble *D,
  TensileComplexDouble const * C,
  TensileComplexDouble const * A,
  TensileComplexDouble const * B,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bjlk_ZB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble *D,
  TensileComplexDouble const * C,
  TensileComplexDouble const * A,
  TensileComplexDouble const * B,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_ZB_GB_MT32x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble* *BatchD,
  TensileComplexDouble* const * BatchC,
  TensileComplexDouble* const * BatchA,
  TensileComplexDouble* const * BatchB,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_ZB_GB_MT32x32x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW1_SNLL0_TT2_2_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  TensileComplexDouble* *BatchD,
  TensileComplexDouble* const * BatchC,
  TensileComplexDouble* const * BatchA,
  TensileComplexDouble* const * BatchB,
  TensileComplexDouble const alpha,
  TensileComplexDouble const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bjlk_SB_GB_MT128x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW1_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float* *BatchD,
  float* const * BatchC,
  float* const * BatchA,
  float* const * BatchB,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideBL,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x64x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_4_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT64x128x8_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR1_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_8_TLDS0_USFGRO0_VAW2_VS1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Alik_Bljk_HBH_MT128x128x4_SN_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL0_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR0_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_8_TLDS0_USFGRO0_VAW2_VS1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  tensile_half *D,
  tensile_half const * C,
  tensile_half const * A,
  tensile_half const * B,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideA0I,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW2_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT64x32x8_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT4_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT256x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS2_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW2_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW2_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW2_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU1_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW2_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT128x32x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT8_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT32x128x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA1_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT2_8_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG16_16_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );
extern "C"
__global__ void
__launch_bounds__(256)
Cijk_Ailk_Bljk_HSS_BH_MT128x16x16_SE_1LDSB0_APM1_AF0EM1_AF1EM1_AMAS0_ASAE01_ASCE01_ASEM1_BL1_DTL0_DVO0_EPS0_FL0_GRVW1_GSU3_ISA000_IU1_K1_KLS_LBSPP0_LPA0_LPB0_LDL1_LRVW1_MDA2_NLCA2_NLCB1_ONLL1_OPLV0_PK0_PAP0_PGR0_PLR1_RK0_SIA1_SU32_SUM0_SUS256_SRVW0_SVW4_SNLL0_TT16_2_TLDS0_USFGROn1_VAW1_VSn1_VW1_WSGRA0_WSGRB0_WG8_8_1_WGM8(
  float *D,
  float const * C,
  tensile_half const * A,
  tensile_half const * B,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const strideAL,
  unsigned int const strideAK,
  unsigned int const strideB1J,
  unsigned int const strideBK,
  unsigned int size0I,
  unsigned int size1J,
  unsigned int sizeK,
  unsigned int sizeL,
  unsigned int staggerUIterParm,
  unsigned int problemNumGroupTiles0,
  unsigned int problemNumGroupTiles1,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int offsetA,
  unsigned int offsetB );

extern "C"
__global__ void Cijk_S_GB_GA(
  float * D,
  float* const * BatchC,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const size0I,
  unsigned int const size1J,
  unsigned int const sizeK,
  unsigned int offsetD,
  unsigned int offsetC,
  float const beta)
;

extern "C"
__global__ void Cijk_S_GB_PostGSU(
  float* * BatchD,
  float * W,
  float* const * BatchC,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideW1J,
  unsigned int const strideWK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const size0I,
  unsigned int const size1J,
  unsigned int const sizeK,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int const gsu)
;

extern "C"
__global__ void Cijk_S(
  float * D,
  float const * C,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const size0I,
  unsigned int const size1J,
  unsigned int const sizeK,
  unsigned int offsetD,
  unsigned int offsetC,
  float const beta)
;

extern "C"
__global__ void Cijk_S_GA(
  float * D,
  float const * C,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const size0I,
  unsigned int const size1J,
  unsigned int const sizeK,
  unsigned int offsetD,
  unsigned int offsetC,
  float const beta)
;

extern "C"
__global__ void Cijk_S_PostGSU(
  float * D,
  float * W,
  float const * C,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideW1J,
  unsigned int const strideWK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const size0I,
  unsigned int const size1J,
  unsigned int const sizeK,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int const gsu)
;

extern "C"
__global__ void Cijk_H_GA(
  float * D,
  tensile_half const * C,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const size0I,
  unsigned int const size1J,
  unsigned int const sizeK,
  unsigned int offsetD,
  unsigned int offsetC,
  tensile_half const beta)
;

extern "C"
__global__ void Cijk_H_PostGSU(
  tensile_half * D,
  float * W,
  tensile_half const * C,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideW1J,
  unsigned int const strideWK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const size0I,
  unsigned int const size1J,
  unsigned int const sizeK,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int const gsu)
;

extern "C"
__global__ void Cijk_I(
  int32_t * D,
  int32_t const * C,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const size0I,
  unsigned int const size1J,
  unsigned int const sizeK,
  unsigned int offsetD,
  unsigned int offsetC,
  int32_t const beta)
;

extern "C"
__global__ void Cijk_H(
  tensile_half * D,
  tensile_half const * C,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const size0I,
  unsigned int const size1J,
  unsigned int const sizeK,
  unsigned int offsetD,
  unsigned int offsetC,
  tensile_half const beta)
;

extern "C"
__global__ void Cijk_B_GA(
  float * D,
  tensile_bfloat16 const * C,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const size0I,
  unsigned int const size1J,
  unsigned int const sizeK,
  unsigned int offsetD,
  unsigned int offsetC,
  float const beta)
;

extern "C"
__global__ void Cijk_B_PostGSU(
  tensile_bfloat16 * D,
  float * W,
  tensile_bfloat16 const * C,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideW1J,
  unsigned int const strideWK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const size0I,
  unsigned int const size1J,
  unsigned int const sizeK,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int const gsu)
;

extern "C"
__global__ void Cijk_D(
  double * D,
  double const * C,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const size0I,
  unsigned int const size1J,
  unsigned int const sizeK,
  unsigned int offsetD,
  unsigned int offsetC,
  double const beta)
;

extern "C"
__global__ void Cijk_B_GB_GA(
  float * D,
  tensile_bfloat16* const * BatchC,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const size0I,
  unsigned int const size1J,
  unsigned int const sizeK,
  unsigned int offsetD,
  unsigned int offsetC,
  float const beta)
;

extern "C"
__global__ void Cijk_B_GB_PostGSU(
  tensile_bfloat16* * BatchD,
  float * W,
  tensile_bfloat16* const * BatchC,
  float const alpha,
  float const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideW1J,
  unsigned int const strideWK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const size0I,
  unsigned int const size1J,
  unsigned int const sizeK,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int const gsu)
;

extern "C"
__global__ void Cijk_H_GB_GA(
  float * D,
  tensile_half* const * BatchC,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const size0I,
  unsigned int const size1J,
  unsigned int const sizeK,
  unsigned int offsetD,
  unsigned int offsetC,
  tensile_half const beta)
;

extern "C"
__global__ void Cijk_H_GB_PostGSU(
  tensile_half* * BatchD,
  float * W,
  tensile_half* const * BatchC,
  tensile_half const alpha,
  tensile_half const beta,
  unsigned int const strideD1J,
  unsigned int const strideDK,
  unsigned int const strideW1J,
  unsigned int const strideWK,
  unsigned int const strideC1J,
  unsigned int const strideCK,
  unsigned int const size0I,
  unsigned int const size1J,
  unsigned int const sizeK,
  unsigned int offsetD,
  unsigned int offsetC,
  unsigned int const gsu)
;
